# Build a Win32 executable using xcc
# You must have run makefile.xcc first

CC=xcc
AS=sasm -f coff
LD=pdld --no-insert-timestamp -nostdlib -s

all: world.exe

world.exe: world.obj
  $(LD) -o world.exe ../pdpclib/w32start.obj world.obj ../pdpclib/msvcrt.lib

.c.obj:
  $(CC) -D__NODECLSPEC__ -D__WIN32__ -I ../pdpclib -o $*.s $<
  $(AS) -o $@ $*.s
  rm -f $*.s
